freeslot("SPR_SPNY") -- Your gibs sprite prefix to freeslot!

// We toss everything in a ThinkFrame so we can let the CustomGibsThinker.lua load first!
local ScriptLoaded = false
addHook("ThinkFrame", function()
	if not(ScriptLoaded)
	and CUSTOM_GIBS then
		ScriptLoaded = true 

		// Create your list of skins for custom gibs here!
		// 		sprite -	The SPR to switch to
		// 		frame -		The frame of the SPR to switch to
		// 		nullifier - Set to true if you want to remove this part

		
		//You don't have to list out every single DIE# particle! Here, Sonic will
		// use both SOME custom sprites and vanilla sprites.
		CUSTOM_GIBS["lakitu"] = {
			[SPR_DIEA] = {sprite = SPR_SPNY, frame = C, nullifier = false}, -- tires
			[SPR_DIEC] = {sprite = SPR_SPNY, frame = A, nullifier = false}, -- pedal tip
			[SPR_DIED] = {sprite = SPR_SPNY, frame = A, nullifier = true}, -- right pedal
			[SPR_DIEE] = {sprite = SPR_SPNY, frame = A, nullifier = true}, -- steering wheel
			[SPR_DIEG] = {sprite = SPR_SPNY, frame = H, nullifier = true}, -- left pedal
			[SPR_DIEI] = {sprite = SPR_SPNY, frame = I, nullifier = true}, -- wheel axle bar
			[SPR_DIEJ] = {sprite = SPR_SPNY, frame = A, nullifier = false}, -- screw
			[SPR_DIEK] = {sprite = SPR_SPNY, frame = J, nullifier = false} -- N. Gin
		}
	end
end)